Webhooks
Webhook Deliveries
Monitor webhook configuration and delivery attempts from your integration.
GET /webhooksGET /webhook-deliveriesMonitoring
List webhooks
GET
/webhooksLists configured merchant webhook endpoints.
true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . $secretKey,
'Accept: application/json',
],
]);
$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $response;
{
"success": true,
"data": [
{
"id": 101,
"url": "https://example.com/webhooks/neropay",
"status": "active",
"events": [
"transaction.succeeded",
"payout.paid"
]
}
]
}
List webhook deliveries
GET
/webhook-deliveriesLists recent delivery attempts for monitoring and debugging.
| Parameter | Type | Required | Description |
|---|---|---|---|
status | string | Optional | Filter by delivery status, for example succeeded or failed. |
event_type | string | Optional | Filter by event type. |
limit | integer | Optional | Page size. |
true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . $secretKey,
'Accept: application/json',
],
]);
$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $response;
{
"success": true,
"data": [
{
"id": 501,
"event_id": "evt_nero_123",
"type": "transaction.succeeded",
"status": "failed",
"attempts": 3,
"last_response_code": 500,
"created_at": "2026-04-22T10:00:00Z"
}
]
}